// -*-c++-*-
# ifndef TestGameRecord_h
# define TestGameRecord_h

# include "TestHeader.h"

class TestGameRecord
  : public TestCase
{
public:
  CPPUNIT_TEST_SUITE( TestGameRecord );
  CPPUNIT_TEST( construction );
  CPPUNIT_TEST( setTag );
  CPPUNIT_TEST( readTag );
  CPPUNIT_TEST( read );
  CPPUNIT_TEST( longGame );
  CPPUNIT_TEST( testStandardTags );
  CPPUNIT_TEST_SUITE_END();
protected:
  void construction();
  void setTag();
  void readTag();
  void read();
  void longGame();
  void testStandardTags();
};

# endif // TestGameRecord_h
